SUBROUTINE k2ijh(k,i,j)
  !
  ! $Author: CPTEC $
  ! $Date: 2000/02/24 13:15:43 $
  ! $Revision: 1.0 $
  !
  !***
  !***  compute i,j values of h points from a one dimensional k
  !***
  IMPLICIT NONE
  INTEGER, INTENT(IN ) :: k
  INTEGER, INTENT(OUT) :: i
  INTEGER, INTENT(OUT) :: j
  INTEGER :: imt, jx, ix
  INCLUDE "parmeta.f90"
  !***
  !***  convert from one dimensional k to i,j on the e-grid
  !***
  imt=2*im-1
  jx=(k-1)/imt+1
  ix=k-(jx-1)*imt
  IF(ix.LE.im)THEN
     i=ix
     j=2*jx-1
  ELSE
     i=ix-im
     j=2*jx
  ENDIF
END SUBROUTINE k2ijh
